JavaScript
import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
const runtime = await client.runtimes.get('id');
console.log(runtime.id);import os
from rizaio import Riza
client = Riza(
api_key=os.environ.get("RIZA_API_KEY"), # This is the default and can be omitted
)
runtime = client.runtimes.get(
"id",
)
print(runtime.id)package main
import (
"context"
"fmt"
"github.com/riza-io/riza-api-go"
"github.com/riza-io/riza-api-go/option"
)
func main() {
client := riza.NewClient(
option.WithAPIKey("My API Key"), // defaults to os.LookupEnv("RIZA_API_KEY")
)
runtime, err := client.Runtimes.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", runtime.ID)
}{
"id": "<string>",
"name": "<string>",
"revision_id": "<string>",
"additional_python_imports": "<string>",
"manifest_file": {
"contents": "<string>"
}
}{
"code": 16,
"message": "unauthenticated"
}Custom Runtimes
Retrieve runtime
Retrieves a runtime.
JavaScript
import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
const runtime = await client.runtimes.get('id');
console.log(runtime.id);import os
from rizaio import Riza
client = Riza(
api_key=os.environ.get("RIZA_API_KEY"), # This is the default and can be omitted
)
runtime = client.runtimes.get(
"id",
)
print(runtime.id)package main
import (
"context"
"fmt"
"github.com/riza-io/riza-api-go"
"github.com/riza-io/riza-api-go/option"
)
func main() {
client := riza.NewClient(
option.WithAPIKey("My API Key"), // defaults to os.LookupEnv("RIZA_API_KEY")
)
runtime, err := client.Runtimes.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", runtime.ID)
}{
"id": "<string>",
"name": "<string>",
"revision_id": "<string>",
"additional_python_imports": "<string>",
"manifest_file": {
"contents": "<string>"
}
}{
"code": 16,
"message": "unauthenticated"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Available options:
wasi, microvm, v8 Available options:
python, javascript Available options:
pending, building, succeeded, failed, cancelled Show child attributes
Show child attributes
⌘I